# $Revision: 1.51 $, $Date: 2012/02/12 10:09:56 $
# TODO
# - static linking for initrd
# - move all the .static to initrd dir and package
# Conditional build:
%bcond_without	verbose		# verbose build (V=1)
%bcond_without	initrd	# build klibc static initrd binaries
Summary:	Utilities for setting splash
Summary(pl.UTF-8):	Narzędzia do ustawiania splash
Name:		splashutils
Version:	1.5.4.3
Release:	6
License:	GPL
Group:		Applications/System
Source0:	http://dev.gentoo.org/~spock/projects/splashutils/archive/%{name}-%{version}.tar.bz2
# Source0-md5:	c722cd4148817b9c50381d9bdc1ea6ef
Source1:	http://dev.gentoo.org/~spock/projects/gensplash/archive/misc%{name}-0.1.5.tar.bz2
# Source1-md5:	20fc3ed2407edc8cd97623bf7f1c5c7b
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.tmpfiles
Patch0:		%{name}-libs.patch
Patch1:		%{name}-configpath.patch
Patch2:		%{name}-relpath.patch
Patch3:		%{name}-libpng15.patch
Patch4:		%{name}-miscsplashutils-fbtruetype.patch
#Patch0: %{name}-makefile.patch # in -libs now
#Patch1: %{name}-compile.patch
#Patch2: %{name}-pld-paths.patch
URL:		http://dev.gentoo.org/~spock/projects/splashutils/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-static
BuildRequires:	freetype-devel
BuildRequires:	gpm-devel
BuildRequires:	klibc-devel >= 1.1.1-1
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:2.6.9.1-1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
%if %{with initrd}
BuildRequires:	freetype-static
BuildRequires:	glibc-static
BuildRequires:	gpm-static
BuildRequires:	klibc-static >= 1.1.1-1
BuildRequires:	lcms-static
BuildRequires:	libjpeg-static
BuildRequires:	libmng-static
BuildRequires:	libpng-static
BuildRequires:	zlib-static
%endif
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Suggests:	splash-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for setting splash.

%description -l pl.UTF-8
Narzędzia do ustawiania splash.

%package devel
Summary:	Header files for splashutils
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for splashutils libraries

%package static
Summary:	Static splashutils libraries
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static splashutils libraries

%prep
%setup -q -a1
mv miscsplashutils-* miscsplashutils
%if 0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1

#%patch0 -p0
#%patch1 -p0
#%patch2 -p1


%if 0
mkdir -p nobuild
mv libs/freetype-* nobuild
mv libs/jpeg-* nobuild
mv libs/libpng-* nobuild
mv libs/zlib-* nobuild
mv configure{,.dist}
%endif

%build
if [ ! -f configure -o configure.ac -nt configure ]; then
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%{__autoheader}
	%{__automake}
fi

%if %{with initrd}
# build klibc static for initrd
%configure \
	--with-klibc-compiler="klcc" \
	--with-themedir=%{_sysconfdir}/splash \
	--with-gpm \
	--with-mng \
	--with-png \
	--with-png \
	--with-ttf \
	--with-ttf-kernel

%if 0
cd src
%{__make} \
	fbcondecor_helper
	%{?with_verbose:QUIET=false}

# relink. as libtool discarded -static
%{__cc} -static -Os -w -ffunction-sections -fdata-sections -I. -I/usr/include/freetype2 -I/usr/include -O2 -fno-strict-aliasing -fwrapv -march=i686 -mtune=pentium4 -gdwarf-2 -g2 -Wl,--as-needed -Wl,-z -Wl,relro -Wl,-z -Wl,combreloc -o fbcondecor_helper fbcondecor_helper-kernel.o fbcondecor_helper-libfbsplash.o fbcondecor_helper-libfbsplashrender.o fbcondecor_helper-fbcon_decor.o fbcondecor_helper-common.o fbcondecor_helper-parse.o fbcondecor_helper-list.o fbcondecor_helper-render.o fbcondecor_helper-image.o fbcondecor_helper-effects.o fbcondecor_helper-ttf.o  -ljpeg -lpng -lfreetype -lz -lm
cd ..
%endif

%{__make} -j1 \
	%{?with_verbose:QUIET=false}

%if 0
%{__make} install DESTDIR=$(pwd)/initrd
%{__make} clean
%endif
%endif

%if 0
# build shared for system
%configure \
	--enable-klibc-shared \
	--with-klibc-compiler="%{__cc}" \
	--with-themedir=%{_sysconfdir}/splash \
	--with-gpm \
	--with-mng \
	--with-png \
	--with-png \
	--with-ttf \
	--with-ttf-kernel

%{__make} -j1 \
	%{?with_verbose:QUIET=false}
%endif

%{__make} -C miscsplashutils \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Os -I/usr/include/freetype2" \
	LIBDIR="%{_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/splash,/etc/rc.d/init.d,/etc/sysconfig} \
	$RPM_BUILD_ROOT/var/run/%{name} \
	$RPM_BUILD_ROOT/lib/splash/cache \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install miscsplashutils/{fbres,fbtruetype/{fbtruetype,fbtruetype.static}} $RPM_BUILD_ROOT%{_bindir}

%if %{with initrd}
#install -d $RPM_BUILD_ROOT%{_libdir}/initrd
#install initrd/sbin/fbcondecor_helper $RPM_BUILD_ROOT%{_libdir}/initrd
%endif

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/splash
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/splash
install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add splash

%postun	-p /sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del splash
fi

%triggerpostun -- %{name} < 1.5.4-0.2
# migrate from apache-config macros
if [ -f /etc/sysconfig/fbsplash.rpmsave ]; then
	cp -f /etc/sysconfig/splash{,.rpmnew}
	mv -f /etc/sysconfig/{fbsplash.rpmsave,splash}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README docs/[!M]*
%attr(755,root,root) /sbin/fbcondecor_ctl.static
%attr(755,root,root) /sbin/fbcondecor_helper
%attr(755,root,root) /sbin/fbsplashctl
%attr(755,root,root) /sbin/fbsplashd.static
%attr(755,root,root) /sbin/splash-functions.sh
%attr(755,root,root) /sbin/splash_util.static
%attr(755,root,root) %{_bindir}/fbres
%attr(755,root,root) %{_bindir}/fbtruetype
%attr(755,root,root) %{_bindir}/fbtruetype.static
%attr(755,root,root) %{_bindir}/bootsplash2fbsplash
%attr(755,root,root) %{_bindir}/splash_manager
%attr(755,root,root) %{_bindir}/splash_resize
%attr(755,root,root) %{_bindir}/splash_util
%attr(755,root,root) %{_bindir}/splashy2fbsplash.py
%attr(755,root,root) %{_sbindir}/fbcondecor_ctl
%attr(755,root,root) %{_sbindir}/fbsplashd
%attr(755,root,root) %{_sbindir}/splash_geninitramfs
%dir /lib/splash
%dir /lib/splash/cache

%attr(755,root,root) %{_libdir}/libfbsplash.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfbsplash.so.1
%attr(755,root,root) %{_libdir}/libfbsplashrender.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfbsplashrender.so.1
%attr(754,root,root) /etc/rc.d/init.d/splash
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/splash
%dir %{_sysconfdir}/splash
%dir /var/run/splashutils
/usr/lib/tmpfiles.d/%{name}.conf

# for initrd
#%{_libdir}/initrd/fbcondecor_helper

%files devel
%defattr(644,root,root,755)
%{_libdir}/libfbsplash.so
%{_libdir}/libfbsplashrender.so
%{_libdir}/libfbsplash.la
%{_libdir}/libfbsplashrender.la
%{_includedir}/fbsplash.h
%{_pkgconfigdir}/libfbsplash.pc
%{_pkgconfigdir}/libfbsplashrender.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfbsplash.a
%{_libdir}/libfbsplashrender.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: splashutils.spec,v $
Revision 1.51  2012/02/12 10:09:56  adamg
- fix fbtruetype tool build (link libbz2.a), BR: bzip2-static
- release 6 (rebuild against libpng-1.5)

Revision 1.50  2012/02/12 08:13:21  arekm
- release 5

Revision 1.49  2012/02/07 22:07:37  arekm
- release 4

Revision 1.48  2012/01/31 11:55:13  baggins
- release 3

Revision 1.47  2012/01/31 11:32:15  baggins
- added tmpfiles config for systemd

Revision 1.46  2011/12/20 19:42:30  arekm
- release 2

Revision 1.45  2011/03/07 23:46:08  w.kier
- added missing /lib/splash :>

Revision 1.44  2011/03/07 23:19:57  w.kier
- added /lib/splash/cache dir for early started fbsplashd

Revision 1.43  2010/01/14 22:30:10  sparky
- BR: pkgconfig, rpm-pythonprov

Revision 1.42  2010/01/14 17:09:38  hawk
- updated to 1.5.4.3
- almost two months in Titanium and no complaints, release 1

Revision 1.41  2009/03/23 12:59:05  baggins
- put programs for initrd into common directory _libdir/initrd

Revision 1.40  2008/11/30 21:33:53  arekm
- fix combreloc

Revision 1.39  2008-05-26 19:57:30  adamg
- typo

Revision 1.38  2008-04-26 18:49:12  glen
- pure build, no pld hacks

Revision 1.37  2008-04-24 01:41:35  glen
- add fbres back
- hack to build static fbcondecor_helper

Revision 1.36  2008-04-22 17:00:06  glen
- cosmetic: relative path on initramfs

Revision 1.35  2008-04-22 16:50:05  glen
- pld splash config path

Revision 1.34  2008-04-22 16:13:06  glen
- parallel make broken

Revision 1.33  2008-04-16 14:17:36  glen
- build klibc part

Revision 1.32  2008-04-16 10:40:18  glen
- trigger for config

Revision 1.31  2008-04-16 10:34:35  glen
- build non-klibc-static parts for system

Revision 1.30  2008-04-16 00:19:12  glen
- start update to 1.5.4 (for fbcondecor now, but call it generic splash)

Revision 1.29  2008-04-15 16:57:56  qboosh
- use archive URL for miscsplashutils too

Revision 1.28  2008-04-15 07:48:37  glen
- add no dereference patch; rel 2

Revision 1.27  2007-08-30 10:50:31  czarny
- all splashutils themes provide fbsplash-theme
- splashutils suggests fbsplash-theme

Revision 1.26  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.24  2006/12/13 14:09:44  czarny
- rel up to 1
- added pld-path patch
- added /var/run/splashutils dir - to use splash in daemon mode
- works with geninitrd on devel branch

Revision 1.23  2006/12/07 18:31:34  shadzik
- cosmetics

Revision 1.22  2006/12/07 17:36:31  czarny
- up to 1.3
- staticly linked agains libc
- patches to make it work
- todo added

Revision 1.21  2006/04/20 17:44:58  glen
- fix chkconfig deps, use existing Group

Revision 1.20  2006/04/03 22:05:53  blekot
- updated to 1.1.9.10
- updated makefile patch

Revision 1.19  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.18  2005/12/01 01:00:10  pluto
- build fixed.

Revision 1.17  2005/06/14 00:54:44  pluto
- splash_kern builds with klibc now (truetype support nfy).
- release 0.2.

Revision 1.16  2005/06/13 17:57:15  pluto
- updated to 1.1.9.6, use klibc, nfy.

Revision 1.15  2005/04/06 18:51:30  darekr
- simplified %setup

Revision 1.14  2005/02/09 17:50:45  havner
- 0.9.1 (why it lies in archive dir??)

Revision 1.13  2005/01/09 18:10:57  qboosh
- cleanups

Revision 1.12  2005/01/09 11:04:59  havner
- this config can be user readable

Revision 1.11  2005/01/09 11:00:16  havner
- init scripts

Revision 1.10  2005/01/09 10:25:00  havner
- this way?

Revision 1.9  2005/01/09 10:20:11  havner
- amd64 fix

Revision 1.8  2005/01/08 06:42:07  havner
- epoch to llh

Revision 1.7  2005/01/08 04:33:21  havner
- makefile patch updated, neither klibc nor kernel headers required
  (llh patched)

Revision 1.6  2005/01/08 03:47:14  havner
- makefile patch, use distro static libs
- still have to do something with included klibc, will dietlibc be enough?

Revision 1.5  2004/12/27 04:17:00  havner
- more docs
- BTW, who has gentoo, confess :-), how does silent mode looks like?

Revision 1.4  2004/12/27 03:57:58  havner
- TODO

Revision 1.3  2004/12/27 03:53:51  havner
- miscsplashutils added
- cosmetics
- stil NFY

Revision 1.2  2004/12/27 02:02:12  havner
- fixed rel
- /etc/splash dir
- cosmetics

Revision 1.1  2004/10/22 14:22:21  averne
- NFY!!
- it should link with own klibc/libjpeg/libpng
- it should require some P: from kernel/kernel-headers
